com.google.code.AccountsSSO.SingleSignOn.Identity: libsignon-glib Reference Manual

## com.google.code.AccountsSSO.SingleSignOn.Identity com.google.code.AccountsSSO.SingleSignOn.Identity — Representation of a single identity. |

## Methods

    requestCredentialsUpdate (IN  s     message,
                              OUT u     id);
    getInfo                  (OUT a{sv} info);
    verifyUser               (IN  a{sv} params,
                              OUT b     valid);
    verifySecret             (IN  s     secret,
                              OUT b     valid);
    remove                   ();
    signOut                  (OUT b     unnamed_arg0);
    store                    (IN  a{sv} info,
                              OUT u     id);
    addReference             (IN  s     reference,
                              OUT i     id);
    removeReference          (IN  s     reference,
                              OUT i     id);

## Signals

    unregistered ();
    infoUpdated  (i type);

## Description

The signond D-Bus APIs are unstable, subject to change and should not be used by client applications, which should use libsignon-glib or libsignon-qt instead.

A single credential stored in the Signon database.

## Method Details

### The requestCredentialsUpdate() method

    requestCredentialsUpdate (IN  s message,
                              OUT u id);

Request that the user enters a new secret, which is then stored in the Signon database.

`IN s `message``: | message to be shown to the user
`OUT u `id``: | the ID of the Identity

### The getInfo() method

    getInfo (OUT a{sv} info);

Fetch a large amount of additional information on the Identity, such as the username, type, method and so on.

`OUT a{sv} `info``: | a dictionary of additional information

### The verifyUser() method

    verifyUser (IN  a{sv} params,
                OUT b     valid);

Request that the user enters a secret, and verify that against the secret stored in the Signon database.

`IN a{sv} `params``: | parameters to pass to the authentication plugin
`OUT b `valid``: | whether the supplied secret is valid

### The verifySecret() method

    verifySecret (IN  s secret,
                  OUT b valid);

Verifies that the supplied secret is valid by comparing it to the secret stored in the Signon database.

`IN s `secret``: | the secret to verify
`OUT b `valid``: | whether the secret is valid

### The remove() method

    remove ();

Remove the identity from the Signon database.

### The signOut() method

    signOut (OUT b unnamed_arg0);

Close all authentication sessions for the identity.

`OUT b `unnamed_arg0``: |

### The store() method

    store (IN  a{sv} info,
           OUT u     id);

Store the given credentials information in the identity, returning a numeric ID for the identity in the Signon database.

`IN a{sv} `info``: | information to store in the Identity
`OUT u `id``: | a numeric ID for the identity in the database

### The addReference() method

    addReference (IN  s reference,
                  OUT i id);

Add a named reference to the Identity.

`IN s `reference``: | a named reference to add
`OUT i `id``: | the ID of the reference in the database

### The removeReference() method

    removeReference (IN  s reference,
                     OUT i id);

Remove a named reference from the Identity.

`IN s `reference``: | a named reference to removed
`OUT i `id``: | the ID of the reference in the database

## Signal Details

### The "unregistered" signal

    unregistered ();

Emitted when the Identity is removed from the Signon database.

### The "infoUpdated" signal

    infoUpdated (i type);

updated. `type`: the type of update that occurred

Emitted when credentials information has been updated is the Signon database, such as when the credentials were updated or removed, or when the identity was signed out.

`i `type``: |